<?php namespace EscapeWork\Manager\Model;

use EscapeWork\Manager\Repository\PageRepository;
use EscapeWork\LaravelHelpers\Eloquent;

class Page extends Eloquent implements PageRepository
{

    /**
     * Table
     */
    protected $table = 'manager_pages';

    /**
     * Sluggable
     */
    protected $sluggable = true;

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id', 
        'title', 
        'slug'
    );

    /**
     * Page hasMany PageActions
     */
    public function actions()
    {
        return $this->hasMany('EscapeWork\Manager\Model\PageAction');
    }
}