<!doctype html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8" />
    <title>{{ Config::get('manager::title') }} | {{ Config::get('manager::subtitle') }}</title>

    <link rel="shortcut icon" href="{{ Config::get('manager::favicon_path')}}" />

    <!-- CSS --> 
    @section('styles')
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" href="/packages/escapework/manager/assets/css/vendor/bootstrap/bootstrap.min.css" />
        <link rel="stylesheet" href="/packages/escapework/manager/assets/css/vendor/bootstrap/bootstrap-responsive.min.css" />
        <link rel="stylesheet" href="/packages/escapework/manager/assets/css/vendor/jquery-ui/flick/jquery-ui.min.css" />
        <link rel="stylesheet" href="/packages/escapework/manager/assets/css/main.css" />
    @show
</head>
<body>
    <div class="navbar navbar-inverse">
        <div class="navbar-inner">
            <a class="brand" href="{{ Config::get('manager::url') }}">{{ Config::get('manager::title') }}</a>
            
            <ul class="nav">
                @if (! is_null(Config::get('manager::menu')))
                    @include(Config::get('manager::menu'))
                @endif
            </ul>
            
            @if (! Auth::guest())
                <ul class="nav pull-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            {{ Auth::user()->name }} &nbsp;
                            <b class="caret"></b>
                        </a>

                        <ul class="dropdown-menu">
                            <li>
                                <a href="{{ Config::get('manager::url') }}/logout">
                                    <i class="icon-off"></i>
                                    Sair
                                </a>
                            </li>
                            
                            @if (Check::canAny('usuarios'))
                                <li class="divider"></li>
                                <li>
                                    <a tabindex="-1" href="{{ route('manager.users.index') }}">
                                        <i class="icon-user"></i>
                                        Usuários
                                    </a>
                                </li>
                                <li>
                                    <a tabindex="-1" href="{{ route('manager.roles.index') }}">
                                        <i class="icon-book"></i>
                                        Perfis
                                    </a>
                                </li>
                                <li>
                                    <a tabindex="-1" href="{{ route('manager.pages.index') }}">
                                        <i class="icon-file"></i>
                                        Páginas
                                    </a>
                                </li>
                            @endif
                        </ul><!-- .dropdown-menu --> 
                    </li><!-- .dropdown --> 
                </ul>
            @endif
        </div>
    </div><!-- .navbar --> 

    <div class="container">
        <section class="content">
            @yield('content')
        </section><!-- .content --> 
    </div><!-- .container --> 


    <!-- ======================================================================== 
         Componentes utilizados via JS 
         ======================================================================== --> 
    <div id="modal-delete" class="modal hide fade">
        <div class="modal-header">
            <a href="#" class="close" data-dismiss="modal">&times;</a>
            <h3>Confirmação</h3>
        </div>

        <div class="modal-body">
            <p>Confirma a exclusão do item?</p>
        </div>

        <div class="modal-footer">
            <a href="#" class="btn btn-danger" id="btn-confirm-delete" data-loading-text="Excluindo...">Excluir</a>
            <a href="#" class="btn btn-primary" data-dismiss="modal">Cancelar</a>
        </div>
    </div>

    <form action="#" class="hide" id="form-delete" method="post">
        <input type="hidden" name="_method" value="delete" />
    </form>

    <div id="modal-message" class="modal hide fade">
        <div class="modal-header">
            <a href="#" class="close">&times;</a>
            <h3 id="modal-message-title">Mensagem</h3>
        </div>

        <div class="modal-body">
            <p id="modal-message-text"></p>
        </div>

        <div class="modal-footer">
            <a href="#" class="btn btn-primary" data-dismiss="modal">OK</a>
        </div>
    </div><!-- #modal-message --> 


    <!-- ======================================================================== 
         JS 
         ======================================================================== --> 
    @section('scripts')
        <script type="text/javascript" src="/packages/escapework/manager/assets/js/vendor/plugins.min.js"></script>
        <script type="text/javascript" src="/packages/escapework/manager/assets/js/vendor/ckeditor/ckeditor.js"></script>
        <script type="text/javascript" src="/packages/escapework/manager/assets/js/main.js"></script>
    @show
</body>
</html>