<?php namespace EscapeWork\Manager\Model;

use Mockery as m;
use stdClass;

class PageActionTest extends \PHPUnit_Framework_TestCase
{

    public function testHasChangedWithSameDataShouldReturnFalse()
    {
        $action1 = new stdClass;
        $action1->type = 'read';

        $action2 = new stdClass;
        $action2->type = 'create';

        $collection = [$action1, $action2];

        $types = ['read', 'create'];

        $pageAction = new PageAction();
        $this->assertFalse($pageAction->hasChanged($collection, $types));
    }

    public function testHasChangedWithSameCountButDifferentDataShouldReturnTrue()
    {
        $action1 = new stdClass;
        $action1->type = 'read';

        $action2 = new stdClass;
        $action2->type = 'create';

        $collection = [$action1, $action2];

        $types = ['read', 'update'];

        $pageAction = new PageAction();
        $this->assertTrue($pageAction->hasChanged($collection, $types));
    }

    public function testHasChangedWithDifferentCountShouldReturnTrue()
    {
        $action1 = new stdClass;
        $action1->type = 'read';

        $action2 = new stdClass;
        $action2->type = 'create';

        $collection = [$action1, $action2];

        $types = ['read', 'create', 'update', 'delete'];

        $pageAction = new PageAction();
        $this->assertTrue($pageAction->hasChanged($collection, $types));
    }
}